forked from pool/openssl
bdf3209e96
- update to 1.0.2a * Major changes since 1.0.1: - Suite B support for TLS 1.2 and DTLS 1.2 - Support for DTLS 1.2 - TLS automatic EC curve selection. - API to set TLS supported signature algorithms and curves - SSL_CONF configuration API. - TLS Brainpool support. - ALPN support. - CMS support for RSA-PSS, RSA-OAEP, ECDH and X9.42 DH. - packaging changes: * merged patches modifying CIPHER_LIST into one, dropping: - openssl-1.0.1e-add-suse-default-cipher-header.patch - openssl-libssl-noweakciphers.patch * fix a manpage with invalid name - added openssl-fix_invalid_manpage_name.patch * remove a missing fips function - openssl-missing_FIPS_ec_group_new_by_curve_name.patch * reimported patches from Fedora dropped patches: - openssl-1.0.1c-default-paths.patch - openssl-1.0.1c-ipv6-apps.patch - openssl-1.0.1e-fips-ctor.patch - openssl-1.0.1e-fips-ec.patch - openssl-1.0.1e-fips.patch - openssl-1.0.1e-new-fips-reqs.patch - VIA_padlock_support_on_64systems.patch added patches: - openssl-1.0.2a-default-paths.patch - openssl-1.0.2a-fips-ctor.patch (forwarded request 309611 from vitezslav_cizek) OBS-URL: https://build.opensuse.org/request/show/310849 OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/openssl?expand=0&rev=127
31 lines
997 B
Diff
31 lines
997 B
Diff
Index: openssl-1.0.2a/test/testssl
|
|
===================================================================
|
|
--- openssl-1.0.2a.orig/test/testssl 2015-03-19 14:30:36.000000000 +0100
|
|
+++ openssl-1.0.2a/test/testssl 2015-05-24 14:06:02.038506053 +0200
|
|
@@ -138,6 +138,25 @@ for protocol in TLSv1.2 SSLv3; do
|
|
done
|
|
done
|
|
|
|
+echo "Testing default ciphersuites"
|
|
+
|
|
+for cipher_suite in DEFAULT_SUSE DEFAULT; do
|
|
+ ../util/shlib_wrap.sh ../apps/openssl ciphers $cipher_suite
|
|
+ if [ $? -ne 0 ]; then
|
|
+ echo "Failed default ciphersuite $cipher_suite"
|
|
+ exit 1
|
|
+ fi
|
|
+done
|
|
+
|
|
+echo "Testing if MD5, DES and RC4 are excluded from DEFAULT_SUSE cipher suite"
|
|
+../util/shlib_wrap.sh ../apps/openssl ciphers DEFAULT_SUSE| grep "MD5\|RC4\|DES-[^CBC3]"
|
|
+
|
|
+if [ $? -ne 1 ];then
|
|
+ echo "weak ciphers are present on DEFAULT_SUSE cipher suite"
|
|
+ exit 1
|
|
+fi
|
|
+
|
|
+
|
|
#############################################################################
|
|
|
|
if ../util/shlib_wrap.sh ../apps/openssl no-dh; then
|